<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>Exe</OutputType>
    <TargetFramework>net10.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Grpc.Net.Client" Version="2.71.0" />
    <PackageReference Include="Npgsql" Version="9.0.2" />
    <PackageReference Include="SixLabors.ImageSharp" Version="3.1.11" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\SatelliteProvider.GrpcContracts\SatelliteProvider.GrpcContracts.csproj" />
    <ProjectReference Include="..\SatelliteProvider.TestSupport\SatelliteProvider.TestSupport.csproj" />
    <ProjectReference Include="..\SatelliteProvider.Common\SatelliteProvider.Common.csproj" />
  </ItemGroup>

  <ItemGroup>
    <InternalsVisibleTo Include="SatelliteProvider.Tests" />
  </ItemGroup>

</Project>
